# TODO
# - make this primary db of blacklist db (merge kmod/module-init-tools) ?
# - merge (switch?) with http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/sys-apps/hwids ?
#   their db contains also OUI, IAB IDs databases: https://github.com/gentoo/hwids
# - enable .gz if lshw and usbip have .gz support
# - package Individual Address Blocks file (iab.txt)?
# NOTE: pnp.ids in pnputils package differ from that in hwdata
# (hwdata pnp.ids contain only vendor IDs, pnputils pnp.ids contains only
#  device IDs of (some) PNPACPI, PNPBIOS and ISAPNP devices)
# - update to use oui.txt from this package:
#   - hwdata-0.225-0.20090808.1.noarch
#   - lshw-B.02.14-1.i686
#   - python-netaddr-0.7.3-1.noarch
Summary:	Hardware identification and configuration data
Summary(pl.UTF-8):	Dane do identyfikacji i konfiguracji sprzętu
Name:		hwdata
# see hwdata.spec inside of tarball
Version:	0.302
Release:	1
License:	GPL v2+
Group:		Applications/System
Source0:	https://github.com/vcrhonek/hwdata/archive/v%{version}.tar.gz?/%{name}-%{version}.tar.gz
# Source0-md5:	08ef0b8b34db59ca2b0022bc6b48ac8d
URL:		https://github.com/vcrhonek/hwdata
Obsoletes:	ieee-oui
Conflicts:	Xconfigurator < 4.9.42-1
Conflicts:	ntop < 4.1.0-2
Conflicts:	pciutils < 3.1.10-6
Conflicts:	usbutils < 006-3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_datadir	/lib
%define		modprobe_d	/usr/lib/modprobe.d

%description
hwdata contains various hardware identification and configuration
data, such as pci.ids, usb.ids, oui.txt and pnp.ids (vendor IDs)
databases.

%description -l pl.UTF-8
Pakiet hwdata zawiera różne dane do identyfikacji i konfiguracji
sprzętu, takie jak bazy danych pci.ids, usb.ids, oui.txt i pnp.ids.

%prep
%setup -q

# if git-generated ChangeLog is missing in release, make one from included .spec
if [ ! -f ChangeLog ]; then
	%{__sed} -ne '/^%changelog/,$p' hwdata.spec | tail -n +2 > ChangeLog
fi

%build
%configure

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	libdir=%{_prefix}/lib \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{modprobe_d}/dist-blacklist.conf

# disabled: some applications don't support compressed formats
%if 0
gzip -n9 $RPM_BUILD_ROOT%{_datadir}/%{name}/pci.ids
gzip -n9 $RPM_BUILD_ROOT%{_datadir}/%{name}/usb.ids
gzip -n9 $RPM_BUILD_ROOT%{_datadir}/%{name}/oui.txt
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog LICENSE
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/iab.txt*
%{_datadir}/%{name}/oui.txt*
%{_datadir}/%{name}/pci.ids*
%{_datadir}/%{name}/pnp.ids
%{_datadir}/%{name}/usb.ids*
%changelog
* Mon Jul 24 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/hwdata.git;a=log;h=master

* Sat Jul 22 2017 Jan Palus <atler@pld-linux.org> f1bc342
- up to 0.302

* Sun Aug 28 2016 Jakub Bogusz <qboosh@pld-linux.org> b2e516a
- updated to 0.291

* Fri May 20 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> d8845d6
- up to 0.289

* Sun Feb 28 2016 Jakub Bogusz <qboosh@pld-linux.org> e136d9a
- updated to 0.286

* Sat Jan 23 2016 Jakub Bogusz <qboosh@pld-linux.org> 21d8fcd
- updated to 0.285

* Sat Sep 19 2015 Jakub Bogusz <qboosh@pld-linux.org> 5081c3e
- updated to 0.282

* Fri Aug 21 2015 Elan Ruusamäe <glen@delfi.ee> 7ed7376
- 0.281: Updated pci, usb and vendor ids.

* Mon Jul 27 2015 Elan Ruusamäe <glen@delfi.ee> ed5bed0
- up to 0.280 [pciids: 2015.07.10; oui: Mon, 20 Jul 2015]

* Wed Jun 24 2015 Jakub Bogusz <qboosh@pld-linux.org> 4297a47
- updated to 0.279

* Fri Feb 27 2015 Jakub Bogusz <qboosh@pld-linux.org> 418712e
- updated to 0.275

* Mon Dec 01 2014 Elan Ruusamäe <glen@delfi.ee> 7a72ac4
- add URL

* Thu Nov 13 2014 Jakub Bogusz <qboosh@pld-linux.org> c5b7d0d
- updated to 0.271

* Fri Sep 19 2014 Jakub Bogusz <qboosh@pld-linux.org> ba72a65
- updated to 0.270

* Wed Sep 03 2014 Jakub Bogusz <qboosh@pld-linux.org> 4bdeb55
- updated to 0.269

* Sat Aug 02 2014 Jakub Bogusz <qboosh@pld-linux.org> 41e2654
- updated to 0.268

* Wed Jun 18 2014 Jakub Bogusz <qboosh@pld-linux.org> f245833
- updated to 0.267

* Thu May 29 2014 Jakub Bogusz <qboosh@pld-linux.org> bd68c8d
- updated to 0.266

* Sat Apr 12 2014 Jakub Bogusz <qboosh@pld-linux.org> 42f329b
- package iab.txt

* Mon Mar 24 2014 Elan Ruusamäe <glen@delfi.ee> 84c4b68
- up to 0.263; updated pciids (2014-03-17), oui databases

* Mon Mar 03 2014 Jan Rękorajski <baggins@pld-linux.org> 6ea5b8d
- rel 2

